package org.bench4q.recorder.httpcapture;

import java.util.List;

import org.bench4q.recorder.httpcapture.generator.ChildrenUrl;
import org.bench4q.share.models.agent.RunScenarioModel;
import org.bench4q.share.models.agent.scriptrecord.BehaviorModel;
import org.bench4q.share.models.agent.scriptrecord.UsePluginModel;

public interface IScriptAdapter {

	public abstract RunScenarioModel getRunScenarioModel();

	public abstract void addPage();

	public abstract void appendUsePluginsToScenario(
			List<UsePluginModel> usePluginModels);

	public abstract void insertUserBehaviorsToScenario(BehaviorModel model);

	public abstract String getText();

	public abstract void setText(String paramString);

	// TODO:move this function to more fit place
	public abstract List<ChildrenUrl> getChildrenUrls();

	public abstract int getParentBatchIdWithParentUrl(String url);

	public abstract boolean isInChildrenUrl(String url);

	public abstract void resetChildrenUrls();
}
